> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Oidc Verify

> Connect Client Auth Verify and Eka Token



## OpenAPI

````yaml post /connect-auth/v1/oidc-client/{client_id}/verify
openapi: 3.0.3
info:
  description: Authorization APIs for connect
  title: Eka Developer APIs
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
tags:
  - description: APIs used for connect Authentication exposed through api.eka.care
    name: Connect APIs
  - description: Apis to login to eka using partner's JWT token
    name: Auth (OIDC Token APIs)
paths:
  /connect-auth/v1/oidc-client/{client_id}/verify:
    post:
      tags:
        - Auth (OIDC Token APIs)
      description: Connect Client Auth Verify and Eka Token
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OidcVerifyPhrRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OidcVerifyPhrResponse'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenapiGenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenapiGenericError'
          description: ''
components:
  schemas:
    OidcVerifyPhrRequest:
      properties:
        id_token:
          type: string
      required:
        - id_token
      type: object
    OidcVerifyPhrResponse:
      properties:
        access_token:
          type: string
        expires_in:
          type: integer
        redirect_url:
          type: string
        refresh_token:
          type: string
        refresh_token_expires_in:
          type: integer
      type: object
    OpenapiGenericError:
      properties:
        code:
          type: integer
        error:
          type: string
      type: object

````